<?php
$time_start = microtime(true); 
?>
<!doctype html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Gallery Example</title>
	<link rel="stylesheet" type="text/css" href="shadowbox/shadowbox.css">
	<link href='http://fonts.googleapis.com/css?family=Lato:400,900' rel='stylesheet' type='text/css'>
	<style>
	h1 {font: 900 32px'Lato', sans-serif;}
	p  {font: 400 18px'Lato', sans-serif;}
	.wrap {width:960px; margin:auto;}
	.gallery {}
	.gallery a {width:160px;height:160px;display:inline-block;text-align:center;margin:10px;}
	.gallery img {vertical-align: middle;-webkit-box-shadow: 0px 0px 10px #000000;-moz-box-shadow: 0px 0px 10px #000000;box-shadow: 0px 0px 10px #000000;}
	.gallery img:hover {vertical-align: middle;-webkit-box-shadow: 0px 0px 20px #000000;-moz-box-shadow: 0px 0px 20px #000000;box-shadow: 0px 0px 20px #000000;}
	
	/* CSS for image showing gallery is loading */
	.load-gallery {text-align:center}
	.load-gallery p {}
	.load-gallery img {-webkit-box-shadow:none;-moz-box-shadow:none;box-shadow:none}
	</style>
</head>
<body>
	<div class="wrap">
		<h1>Image Gallery Example</h1>
		<p><a href="http://jereross.com/automatic-php-photo-gallery-script/">Back to the Automatic PHP Photo Gallery Script</a>
		<div class="gallery">
			<?php
			require_once 'gallery.php';

			$gallery = new gallery();
			$gallery->dir 			= 'images/php-photo-gallery-crop'; // Relative path to the images folder
			$gallery->lg_width 		= 1200;
			$gallery->lg_height 	= 800;
			$gallery->sm_width 		= 160;
			$gallery->sm_height 	= 160;
			$gallery->crop 			= true; // Crop thumbnails; crop=true will make them the excat size, crop=false will resize them no larger than the height and width.
			$gallery->html 			= '<a href="{lg}" rel="shadowbox[gal]" name="{alt}" title="{alt}"><img src="{sm}" alt="{alt}" name="{alt}"></a>'; // Custom html fragment
			$gallery->alt 			= array(
											'vivid_flowers-wide.jpg' => 'Custom Alt Text' // specify alt text for any of the images here by using the image file name
										);
			$gallery->alt_default = 'PHP Photo Gallery Script Sample - Default Alt Tag'; // default alt tag for the gallery
			$gallery->output();
			?>
		</div>
	</div>
	
	<script src="//ajax.googleapis.com/ajax/libs/jquery/1.8/jquery.min.js"></script>	
	<script type="text/javascript" src="shadowbox/shadowbox.js"></script>
	<script type="text/javascript">
	Shadowbox.init();
	</script>
	<p align="center"><?php echo 'Total execution time in seconds: ' . round((microtime(true) - $time_start), 2); ?></p>
</body>
</html>